# routeros-geoip

Generate RouterOS Address Lists based on country code. This can be used for creating up to date geo-ip blocking lists which can be loaded into RouterOS.

```sh
# Example usage
./mikrotik-geoipblock myAddressList example.json
```

Create a config file containing the address lists you want to block

```json
{
    "countries": [
        {
            "name": "CANADA",
            "url": "https://raw.githubusercontent.com/herrbischoff/country-ip-blocks/refs/heads/master/ipv4/ca.cidr"
        },
        {
            "name": "AUSTRALIA",
            "url": "https://raw.githubusercontent.com/herrbischoff/country-ip-blocks/refs/heads/master/ipv4/au.cidr"
        }
    ]
}
```

